
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineSystem.cmake:205 (message)"
      - "CMakeLists.txt"
    message: |
      The system is: Windows - 10.0.19045 - AMD64
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler:  
      Build flags: 
      Id flags:  
      
      The output was:
      0
      MSBuild version 17.12.12+1cce77968 for .NET Framework
      Build started 3/28/2025 11:06:29 AM.
      
      Project "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdC\\CompilerIdC.vcxproj" on node 1 (default targets).
      PrepareForBuild:
        Creating directory "Debug\\".
        Structured output is enabled. The formatting of compiler diagnostics will reflect the error hierarchy. See https://aka.ms/cpp/structured-output for more details.
        Creating directory "Debug\\CompilerIdC.tlog\\".
      InitializeBuildStatus:
        Creating "Debug\\CompilerIdC.tlog\\unsuccessfulbuild" because "AlwaysCreate" was specified.
        Touching "Debug\\CompilerIdC.tlog\\unsuccessfulbuild".
      VcpkgTripletSelection:
        Using triplet "x64-windows" from "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\"
        Using normalized configuration "Release"
      ClCompile:
        C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\HostX64\\x64\\CL.exe /c /I"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\include" /nologo /W0 /WX- /diagnostics:column /Od /D _MBCS /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /Fo"Debug\\\\" /Fd"Debug\\vc143.pdb" /external:W0 /Gd /TC /FC /errorReport:queue CMakeCCompilerId.c
        CMakeCCompilerId.c
      Link:
        C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\HostX64\\x64\\link.exe /ERRORREPORT:QUEUE /OUT:".\\CompilerIdC.exe" /INCREMENTAL:NO /NOLOGO /LIBPATH:"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\lib" /LIBPATH:"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\lib\\manual-link" kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\lib\\*.lib" /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /PDB:".\\CompilerIdC.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:".\\CompilerIdC.lib" /MACHINE:X64 Debug\\CMakeCCompilerId.obj
        CompilerIdC.vcxproj -> C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdC\\CompilerIdC.exe
      AppLocalFromInstalled:
        pwsh.exe -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdC\\CompilerIdC.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\bin" "Debug\\CompilerIdC.tlog\\CompilerIdC.write.1u.tlog" "Debug\\vcpkg.applocal.log"
        'pwsh.exe' is not recognized as an internal or external command,
        operable program or batch file.
        The command "pwsh.exe -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdC\\CompilerIdC.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\bin" "Debug\\CompilerIdC.tlog\\CompilerIdC.write.1u.tlog" "Debug\\vcpkg.applocal.log"" exited with code 9009.
        "C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\powershell.exe" -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdC\\CompilerIdC.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\bin" "Debug\\CompilerIdC.tlog\\CompilerIdC.write.1u.tlog" "Debug\\vcpkg.applocal.log"
      PostBuildEvent:
        for %%i in (cl.exe) do @echo CMAKE_C_COMPILER=%%~$PATH:i
        :VCEnd
        CMAKE_C_COMPILER=C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\Hostx64\\x64\\cl.exe
      FinalizeBuildStatus:
        Deleting file "Debug\\CompilerIdC.tlog\\unsuccessfulbuild".
        Touching "Debug\\CompilerIdC.tlog\\CompilerIdC.lastbuildstate".
      Done Building Project "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdC\\CompilerIdC.vcxproj" (default targets).
      
      Build succeeded.
          0 Warning(s)
          0 Error(s)
      
      Time Elapsed 00:00:00.67
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CompilerIdC.exe"
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CompilerIdC.vcxproj"
      
      The C compiler identification is MSVC, found in:
        C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/3.31.1/CompilerIdC/CompilerIdC.exe
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
      Compiler:  
      Build flags: 
      Id flags:  
      
      The output was:
      0
      MSBuild version 17.12.12+1cce77968 for .NET Framework
      Build started 3/28/2025 11:06:30 AM.
      
      Project "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdCXX\\CompilerIdCXX.vcxproj" on node 1 (default targets).
      PrepareForBuild:
        Creating directory "Debug\\".
        Structured output is enabled. The formatting of compiler diagnostics will reflect the error hierarchy. See https://aka.ms/cpp/structured-output for more details.
        Creating directory "Debug\\CompilerIdCXX.tlog\\".
      InitializeBuildStatus:
        Creating "Debug\\CompilerIdCXX.tlog\\unsuccessfulbuild" because "AlwaysCreate" was specified.
        Touching "Debug\\CompilerIdCXX.tlog\\unsuccessfulbuild".
      VcpkgTripletSelection:
        Using triplet "x64-windows" from "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\"
        Using normalized configuration "Release"
      ClCompile:
        C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\HostX64\\x64\\CL.exe /c /I"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\include" /nologo /W0 /WX- /diagnostics:column /Od /D _MBCS /Gm- /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /Fo"Debug\\\\" /Fd"Debug\\vc143.pdb" /external:W0 /Gd /TP /FC /errorReport:queue CMakeCXXCompilerId.cpp
        CMakeCXXCompilerId.cpp
      Link:
        C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\HostX64\\x64\\link.exe /ERRORREPORT:QUEUE /OUT:".\\CompilerIdCXX.exe" /INCREMENTAL:NO /NOLOGO /LIBPATH:"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\lib" /LIBPATH:"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\lib\\manual-link" kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\lib\\*.lib" /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /PDB:".\\CompilerIdCXX.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:".\\CompilerIdCXX.lib" /MACHINE:X64 Debug\\CMakeCXXCompilerId.obj
        CompilerIdCXX.vcxproj -> C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdCXX\\CompilerIdCXX.exe
      AppLocalFromInstalled:
        pwsh.exe -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdCXX\\CompilerIdCXX.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\bin" "Debug\\CompilerIdCXX.tlog\\CompilerIdCXX.write.1u.tlog" "Debug\\vcpkg.applocal.log"
        'pwsh.exe' is not recognized as an internal or external command,
        operable program or batch file.
        The command "pwsh.exe -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdCXX\\CompilerIdCXX.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\bin" "Debug\\CompilerIdCXX.tlog\\CompilerIdCXX.write.1u.tlog" "Debug\\vcpkg.applocal.log"" exited with code 9009.
        "C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\powershell.exe" -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdCXX\\CompilerIdCXX.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\bin" "Debug\\CompilerIdCXX.tlog\\CompilerIdCXX.write.1u.tlog" "Debug\\vcpkg.applocal.log"
      PostBuildEvent:
        for %%i in (cl.exe) do @echo CMAKE_CXX_COMPILER=%%~$PATH:i
        :VCEnd
        CMAKE_CXX_COMPILER=C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\Hostx64\\x64\\cl.exe
      FinalizeBuildStatus:
        Deleting file "Debug\\CompilerIdCXX.tlog\\unsuccessfulbuild".
        Touching "Debug\\CompilerIdCXX.tlog\\CompilerIdCXX.lastbuildstate".
      Done Building Project "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\3.31.1\\CompilerIdCXX\\CompilerIdCXX.vcxproj" (default targets).
      
      Build succeeded.
          0 Warning(s)
          0 Error(s)
      
      Time Elapsed 00:00:00.65
      
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CompilerIdCXX.exe"
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CompilerIdCXX.vcxproj"
      
      The CXX compiler identification is MSVC, found in:
        C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/3.31.1/CompilerIdCXX/CompilerIdCXX.exe
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:74 (try_compile)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-o24319"
      binary: "C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-o24319"
    cmakeVariables:
      CMAKE_C_FLAGS: "/DWIN32 /D_WINDOWS /W3"
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: 'C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-o24319'
        
        Run Build Command(s): "C:/Program Files/Microsoft Visual Studio/2022/Community/MSBuild/Current/Bin/amd64/MSBuild.exe" cmTC_77091.vcxproj /p:Configuration=Debug /p:Platform=x64 /p:VisualStudioVersion=17.0 /v:n
        MSBuild version 17.12.12+1cce77968 for .NET Framework
        Build started 3/28/2025 11:06:31 AM.
        
        Project "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-o24319\\cmTC_77091.vcxproj" on node 1 (default targets).
        PrepareForBuild:
          Creating directory "cmTC_77091.dir\\Debug\\".
          Structured output is enabled. The formatting of compiler diagnostics will reflect the error hierarchy. See https://aka.ms/cpp/structured-output for more details.
          Creating directory "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-o24319\\Debug\\".
          Creating directory "cmTC_77091.dir\\Debug\\cmTC_77091.tlog\\".
        InitializeBuildStatus:
          Creating "cmTC_77091.dir\\Debug\\cmTC_77091.tlog\\unsuccessfulbuild" because "AlwaysCreate" was specified.
          Touching "cmTC_77091.dir\\Debug\\cmTC_77091.tlog\\unsuccessfulbuild".
        VcpkgTripletSelection:
          Using triplet "x64-windows" from "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\"
          Using normalized configuration "Debug"
        ClCompile:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\HostX64\\x64\\CL.exe /c /I"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\include" /Zi /W3 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D "CMAKE_INTDIR=\\"Debug\\"" /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /Fo"cmTC_77091.dir\\Debug\\\\" /Fd"cmTC_77091.dir\\Debug\\vc143.pdb" /external:W3 /Gd /TC /errorReport:queue "C:\\Program Files\\CMake\\share\\cmake-3.31\\Modules\\CMakeCCompilerABI.c"
          Microsoft (R) C/C++ Optimizing Compiler Version 19.42.34435 for x64
          Copyright (C) Microsoft Corporation.  All rights reserved.
          cl /c /I"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\include" /Zi /W3 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D "CMAKE_INTDIR=\\"Debug\\"" /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /Fo"cmTC_77091.dir\\Debug\\\\" /Fd"cmTC_77091.dir\\Debug\\vc143.pdb" /external:W3 /Gd /TC /errorReport:queue "C:\\Program Files\\CMake\\share\\cmake-3.31\\Modules\\CMakeCCompilerABI.c"
          CMakeCCompilerABI.c
        Link:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\HostX64\\x64\\link.exe /ERRORREPORT:QUEUE /OUT:"C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-o24319\\Debug\\cmTC_77091.exe" /INCREMENTAL /ILK:"cmTC_77091.dir\\Debug\\cmTC_77091.ilk" /NOLOGO /LIBPATH:"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\lib" /LIBPATH:"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\lib\\manual-link" kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\lib\\*.lib" /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-o24319/Debug/cmTC_77091.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-o24319/Debug/cmTC_77091.lib" /MACHINE:X64  /machine:x64 cmTC_77091.dir\\Debug\\CMakeCCompilerABI.obj
          cmTC_77091.vcxproj -> C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-o24319\\Debug\\cmTC_77091.exe
        AppLocalFromInstalled:
          pwsh.exe -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-o24319\\Debug\\cmTC_77091.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\bin" "cmTC_77091.dir\\Debug\\cmTC_77091.tlog\\cmTC_77091.write.1u.tlog" "cmTC_77091.dir\\Debug\\vcpkg.applocal.log"
          'pwsh.exe' is not recognized as an internal or external command,
          operable program or batch file.
          The command "pwsh.exe -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-o24319\\Debug\\cmTC_77091.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\bin" "cmTC_77091.dir\\Debug\\cmTC_77091.tlog\\cmTC_77091.write.1u.tlog" "cmTC_77091.dir\\Debug\\vcpkg.applocal.log"" exited with code 9009.
          "C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\powershell.exe" -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-o24319\\Debug\\cmTC_77091.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\bin" "cmTC_77091.dir\\Debug\\cmTC_77091.tlog\\cmTC_77091.write.1u.tlog" "cmTC_77091.dir\\Debug\\vcpkg.applocal.log"
        FinalizeBuildStatus:
          Deleting file "cmTC_77091.dir\\Debug\\cmTC_77091.tlog\\unsuccessfulbuild".
          Touching "cmTC_77091.dir\\Debug\\cmTC_77091.tlog\\cmTC_77091.lastbuildstate".
        Done Building Project "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-o24319\\cmTC_77091.vcxproj" (default targets).
        
        Build succeeded.
            0 Warning(s)
            0 Error(s)
        
        Time Elapsed 00:00:00.66
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:218 (message)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(\\.[a-z]+)?|link\\.exe|lld-link(\\.exe)?|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(\\.[a-z]+)?|link\\.exe|lld-link(\\.exe)?))("|,| |$)]
        linker tool for 'C': C:/Program Files/Microsoft Visual Studio/2022/Community/VC/Tools/MSVC/14.42.34433/bin/HostX64/x64/link.exe
        implicit libs: []
        implicit objs: []
        implicit dirs: []
        implicit fwks: []
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/Internal/CMakeDetermineLinkerId.cmake:40 (message)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:255 (cmake_determine_linker_id)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt"
    message: |
      Running the C compiler's linker: "C:/Program Files/Microsoft Visual Studio/2022/Community/VC/Tools/MSVC/14.42.34433/bin/HostX64/x64/link.exe" "-v"
      Microsoft (R) Incremental Linker Version 14.42.34435.0
      Copyright (C) Microsoft Corporation.  All rights reserved.
  -
    kind: "try_compile-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:74 (try_compile)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt"
    checks:
      - "Detecting CXX compiler ABI info"
    directories:
      source: "C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-y58cfb"
      binary: "C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-y58cfb"
    cmakeVariables:
      CMAKE_CXX_FLAGS: "/DWIN32 /D_WINDOWS /W3 /GR /EHsc"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
    buildResult:
      variable: "CMAKE_CXX_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: 'C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-y58cfb'
        
        Run Build Command(s): "C:/Program Files/Microsoft Visual Studio/2022/Community/MSBuild/Current/Bin/amd64/MSBuild.exe" cmTC_f648d.vcxproj /p:Configuration=Debug /p:Platform=x64 /p:VisualStudioVersion=17.0 /v:n
        MSBuild version 17.12.12+1cce77968 for .NET Framework
        Build started 3/28/2025 11:06:32 AM.
        
        Project "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-y58cfb\\cmTC_f648d.vcxproj" on node 1 (default targets).
        PrepareForBuild:
          Creating directory "cmTC_f648d.dir\\Debug\\".
          Structured output is enabled. The formatting of compiler diagnostics will reflect the error hierarchy. See https://aka.ms/cpp/structured-output for more details.
          Creating directory "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-y58cfb\\Debug\\".
          Creating directory "cmTC_f648d.dir\\Debug\\cmTC_f648d.tlog\\".
        InitializeBuildStatus:
          Creating "cmTC_f648d.dir\\Debug\\cmTC_f648d.tlog\\unsuccessfulbuild" because "AlwaysCreate" was specified.
          Touching "cmTC_f648d.dir\\Debug\\cmTC_f648d.tlog\\unsuccessfulbuild".
        VcpkgTripletSelection:
          Using triplet "x64-windows" from "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\"
          Using normalized configuration "Debug"
        ClCompile:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\HostX64\\x64\\CL.exe /c /I"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\include" /Zi /W3 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D "CMAKE_INTDIR=\\"Debug\\"" /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /GR /Fo"cmTC_f648d.dir\\Debug\\\\" /Fd"cmTC_f648d.dir\\Debug\\vc143.pdb" /external:W3 /Gd /TP /errorReport:queue "C:\\Program Files\\CMake\\share\\cmake-3.31\\Modules\\CMakeCXXCompilerABI.cpp"
          Microsoft (R) C/C++ Optimizing Compiler Version 19.42.34435 for x64
          Copyright (C) Microsoft Corporation.  All rights reserved.
          cl /c /I"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\include" /Zi /W3 /WX- /diagnostics:column /Od /Ob0 /D _MBCS /D WIN32 /D _WINDOWS /D "CMAKE_INTDIR=\\"Debug\\"" /EHsc /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Zc:inline /GR /Fo"cmTC_f648d.dir\\Debug\\\\" /Fd"cmTC_f648d.dir\\Debug\\vc143.pdb" /external:W3 /Gd /TP /errorReport:queue "C:\\Program Files\\CMake\\share\\cmake-3.31\\Modules\\CMakeCXXCompilerABI.cpp"
          CMakeCXXCompilerABI.cpp
        Link:
          C:\\Program Files\\Microsoft Visual Studio\\2022\\Community\\VC\\Tools\\MSVC\\14.42.34433\\bin\\HostX64\\x64\\link.exe /ERRORREPORT:QUEUE /OUT:"C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-y58cfb\\Debug\\cmTC_f648d.exe" /INCREMENTAL /ILK:"cmTC_f648d.dir\\Debug\\cmTC_f648d.ilk" /NOLOGO /LIBPATH:"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\lib" /LIBPATH:"C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\lib\\manual-link" kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\lib\\*.lib" /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-y58cfb/Debug/cmTC_f648d.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"C:/Runtime/OpenGL/GLM/glm/build/CMakeFiles/CMakeScratch/TryCompile-y58cfb/Debug/cmTC_f648d.lib" /MACHINE:X64  /machine:x64 cmTC_f648d.dir\\Debug\\CMakeCXXCompilerABI.obj
          cmTC_f648d.vcxproj -> C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-y58cfb\\Debug\\cmTC_f648d.exe
        AppLocalFromInstalled:
          pwsh.exe -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-y58cfb\\Debug\\cmTC_f648d.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\bin" "cmTC_f648d.dir\\Debug\\cmTC_f648d.tlog\\cmTC_f648d.write.1u.tlog" "cmTC_f648d.dir\\Debug\\vcpkg.applocal.log"
          'pwsh.exe' is not recognized as an internal or external command,
          operable program or batch file.
          The command "pwsh.exe -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-y58cfb\\Debug\\cmTC_f648d.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\bin" "cmTC_f648d.dir\\Debug\\cmTC_f648d.tlog\\cmTC_f648d.write.1u.tlog" "cmTC_f648d.dir\\Debug\\vcpkg.applocal.log"" exited with code 9009.
          "C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\powershell.exe" -ExecutionPolicy Bypass -noprofile -File "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\scripts\\buildsystems\\msbuild\\applocal.ps1" "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-y58cfb\\Debug\\cmTC_f648d.exe" "C:\\Users\\mj\\source\\repos\\konanix\\vcpkg\\installed\\x64-windows\\debug\\bin" "cmTC_f648d.dir\\Debug\\cmTC_f648d.tlog\\cmTC_f648d.write.1u.tlog" "cmTC_f648d.dir\\Debug\\vcpkg.applocal.log"
        FinalizeBuildStatus:
          Deleting file "cmTC_f648d.dir\\Debug\\cmTC_f648d.tlog\\unsuccessfulbuild".
          Touching "cmTC_f648d.dir\\Debug\\cmTC_f648d.tlog\\cmTC_f648d.lastbuildstate".
        Done Building Project "C:\\Runtime\\OpenGL\\GLM\\glm\\build\\CMakeFiles\\CMakeScratch\\TryCompile-y58cfb\\cmTC_f648d.vcxproj" (default targets).
        
        Build succeeded.
            0 Warning(s)
            0 Error(s)
        
        Time Elapsed 00:00:00.67
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:218 (message)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt"
    message: |
      Parsed CXX implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(\\.[a-z]+)?|link\\.exe|lld-link(\\.exe)?|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(\\.[a-z]+)?|link\\.exe|lld-link(\\.exe)?))("|,| |$)]
        linker tool for 'CXX': C:/Program Files/Microsoft Visual Studio/2022/Community/VC/Tools/MSVC/14.42.34433/bin/HostX64/x64/link.exe
        implicit libs: []
        implicit objs: []
        implicit dirs: []
        implicit fwks: []
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/Internal/CMakeDetermineLinkerId.cmake:40 (message)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:255 (cmake_determine_linker_id)"
      - "C:/Program Files/CMake/share/cmake-3.31/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt"
    message: |
      Running the CXX compiler's linker: "C:/Program Files/Microsoft Visual Studio/2022/Community/VC/Tools/MSVC/14.42.34433/bin/HostX64/x64/link.exe" "-v"
      Microsoft (R) Incremental Linker Version 14.42.34435.0
      Copyright (C) Microsoft Corporation.  All rights reserved.
...
